Supported SQL version?

Trying to install a demo of Log Manager and the configuration wizard is saying that it has detected an "unsupported version of SQL server". My SQL server is MS SQL 2017. What gives?